Skip to main content

Convert to Committed

Converts the load balancer's underlying node from hourly billing to a committed (reserved) plan. The node_id path parameter is the node_detail.node_id of the load balancer (from the List Load Balancers response). The committed term is selected by sku_day_id - use a committed_sku_id from the LB Plans response.

POST/api/v1/nodes/{node_id}/

Path parameters

  • node_idPathintegerrequired

    The node_id field from the node_detail object in the List Load Balancers response.

    • required
    • must be a valid node ID
    example23456

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the load balancer.

    • must be a non-empty string
    example{{location}}

Request body

application/json

object
sku_day_idstringrequired

Committed term to convert to, identified by a committed_sku_id from the LB Plans response (for example the 90 / 183 / 365-day options).

example9141
  • required
  • must be a valid committed SKU ID for the plan

Responses

200Successful response
object
codeinteger
example200
dataobject
errorsobject
messagestring
exampleYour Node is converted into Committed Node